//	program cthist
//	usage 'sfa layer from to step > output_file'

/*----------------------------------------------------------------------*/
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <time.h>
#include <malloc.h>

#define INTEL

long	i, j, n;
long	l_layer, l_from, l_to;
float	f_step, delta;
char	line[50];


/*----------------------------------------------------------------------*/

int main(argc,argv)
int		argc;
char	**argv;
{
	delta = (float)5.83;
	if (argc<5){
		printf("usage : sfa.exe layer from to step (delta)> output_file\n");
		exit(-1);
	}
	l_layer=atoi(argv[1]);
	l_from =atoi(argv[2]);
	l_to   =atoi(argv[3]);
	f_step =atof(argv[4]);
	if (argc==6){
		delta=(float)atof(argv[5]);
	}

	n=(long)abs(((float)l_from-(float)l_to)/f_step);

//	printf("%d\t%d\t%d\t%f\t%d\n", l_layer, l_from, l_to, f_step, n);

	i=0;
	for (j=0; j<n+1; j++){
		if (j==0){
			sprintf(line, "ct_sino_tif %d q dark.tif\n",l_layer);
			printf("%s", line);
			sprintf(line, "copy s%04d.sin tmp.sin\n",l_layer);
			printf("%s", line);
		}
		else{
			sprintf(line, "cp tmp.sin s%04d.sin\n",l_layer);
			printf("%s", line);
		}

		sprintf(line, "sino_conv %f\n",l_from+f_step*j);
		printf("%s", line);
		sprintf(line, "ct_cbp\n");
		printf("%s", line);
		sprintf(line, "rec2tif 16 %f\n", delta);
		printf("%s", line);
		sprintf(line, "ren rec%04d.tif  %04d_%05d.tif\n",l_layer, l_layer, (long)(10*(l_from+f_step*j)));
		printf("%s", line);
	}
	printf("rm -f tmp.sin");

	exit(0);
}
